AntiFeatures:
  - NonFreeNet
Categories:
  - Phone & SMS
License: Apache-2.0
SourceCode: https://github.com/michaelkourlas/voipms-sms-client
IssueTracker: https://github.com/michaelkourlas/voipms-sms-client/issues
Changelog: https://github.com/michaelkourlas/voipms-sms-client/blob/HEAD/CHANGES.md

AutoName: VoIP.ms SMS
Description: |-
    Allows you to send and receive SMS messages using your VoIP.ms account. The
    application's features include:

    * The ability to send, receive, and delete texts;
    * Conversation-based organization (all texts to and from a particular phone number are grouped together) and
    * Synchronization with device contacts, including the contact's name and photo.

RepoType: git
Repo: https://github.com/michaelkourlas/voipms-sms-client

Builds:
  - versionName: 0.4.3-fdroid
    versionCode: 110
    commit: 9a40045058f26fea54cda25254f206fc437ea965
    subdir: voipms-sms
    gradle:
      - yes

  - versionName: 0.4.4-fdroid
    versionCode: 111
    commit: 7e882b35a9b84f82b5f1058e8afdbddc9fcfc287
    subdir: voipms-sms
    gradle:
      - yes
    prebuild: sed -i -e '/google-services/d' build.gradle ../build.gradle

  - versionName: 0.4.6-fdroid
    versionCode: 113
    commit: ce4f446dd0b4e66171f671e3f62cb7c3458d90c8
    subdir: voipms-sms
    gradle:
      - yes
    prebuild: sed -i -e '/google-services/d' -e '/firebase/d' -e '/play-services/d'
        build.gradle ../build.gradle

  - versionName: 0.5.3-fdroid
    versionCode: 117
    commit: fef153d6f98c671adbd7c99ac4524cda94c1bcae
    subdir: voipms-sms
    gradle:
      - yes
    prebuild: sed -i -e '/google-services/d' -e '/firebase/d' -e '/play-services/d'
        build.gradle ../build.gradle

  - versionName: 0.6.1-fdroid
    versionCode: 119
    commit: 955d6d46ad46bbfea6c3867e59bbcdb735cde492
    subdir: voipms-sms
    gradle:
      - yes
    prebuild: sed -i -e '/google-services/d' -e '/firebase/d' -e '/play-services/d'
        build.gradle ../build.gradle

AutoUpdateMode: None
UpdateCheckMode: RepoManifest/fdroid
CurrentVersion: 0.6.3-fdroid
CurrentVersionCode: 121
